Bug 1316596 - tasks page reload
tasks page reload
Status: VERIFIED
Product: Red Hat Storage Console
Classification: Red Hat
Component: UI (Show other bugs)
2
Unspecified Unspecified
unspecified Severity medium
: ---
: 2
Assigned To: Sankarshan Mukhopadhyay
sds-qe-bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-03-10 09:50 EST by Lubos Trilety
Modified: 2016-11-13 19:05 EST (History)
3 users (show)

See Also:
Fixed In Version: rhscon-ceph-0.0.23-1.el7scon.x86_64, rhscon-core-0.0.24-1.el7scon.x86_64, rhscon-ui-0.0.39-1.el7scon.noarch
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
tasks list with running task (102.69 KB, image/png)
2016-03-10 09:50 EST, Lubos Trilety
no flags Details
tasks list after the task finishes (97.98 KB, image/png)
2016-03-10 09:51 EST, Lubos Trilety
no flags Details
tasks list after page reload (97.66 KB, image/png)
2016-03-10 09:52 EST, Lubos Trilety
no flags Details

  None (edit)
Description Lubos Trilety 2016-03-10 09:50:44 EST
Created attachment 1134910 [details]
tasks list with running task

Description of problem:
Task page is not updated properly. 
E.g.
If user accept another node whilst the tasks page is opened no new task appears on the page/
Another scenario is that tasks in progress disappear from the page when they are completed. They are not shown and even number of tasks is decreased.

Clicking on task icon -> 'See All' or 'Admin' -> 'Tasks' button doesn't help, as the page is not reloaded. User has to reload the page by other means.

Version-Release number of selected component (if applicable):
rhscon-ui-0.0.21-1.el7.noarch
rhscon-ceph-0.0.6-11.el7.x86_64
rhscon-core-0.0.8-11.el7.x86_64

How reproducible:
100%

Steps to Reproduce:
1. Accept some node
2. Before the initialization task is finished open tasks page
3. Wait until initialization task finishes

Actual results:
The task disappears and without reload of the page it is not shown any more.

Expected results:
The task is still present only its state is changed.

Additional info:
Comment 1 Lubos Trilety 2016-03-10 09:51 EST
Created attachment 1134911 [details]
tasks list after the task finishes
Comment 2 Lubos Trilety 2016-03-10 09:52 EST
Created attachment 1134912 [details]
tasks list after page reload
Comment 4 Karnan 2016-04-28 10:05:51 EDT
This is issue with sorting the tasks based on status and task time. This is fixed.
Comment 5 Martin Kudlej 2016-07-27 09:45:12 EDT
Tested with 
ceph-ansible-1.0.5-31.el7scon.noarch
ceph-installer-1.0.14-1.el7scon.noarch
rhscon-ceph-0.0.36-1.el7scon.x86_64
rhscon-core-0.0.36-1.el7scon.x86_64
rhscon-core-selinux-0.0.36-1.el7scon.noarch
rhscon-ui-0.0.50-1.el7scon.noarch
and it works.

Note You need to log in before you can comment on or make changes to this bug.